"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zodRelData = zodRelData;
exports.zodData = zodData;
const zod_1 = require("zod");
const zod_utils_1 = require("../zod-utils");
const _1 = require("./");
function zodRelData(typeName, typeId) {
    return zod_1.z
        .object({
        id: (0, _1.zodId)(typeId),
        type: (0, _1.zodType)(typeName),
    })
        .strict()
        .refine(zod_utils_1.nonEmptyObject);
}
function zodData() {
    return zod_1.z
        .object({
        type: zod_1.z.coerce.string(),
        id: zod_1.z.coerce.string(),
    })
        .strict()
        .refine(zod_utils_1.nonEmptyObject);
}
//# sourceMappingURL=rel-data.js.map