import { DynamicModule, MiddlewareConsumer, NestModule } from '@nestjs/common';
import { AnyEntity, EntityClass } from '@klerick/json-api-nestjs-shared';
export declare class AtomicOperationModule implements NestModule {
    static forRoot(operationUrl: string, entities: EntityClass<AnyEntity>[], entityModules: DynamicModule[], commonModule: DynamicModule): DynamicModule[];
    private static factoryModule;
    private readonly als;
    configure(consumer: MiddlewareConsumer): void;
}
