"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zodIncludeInputQuery = zodIncludeInputQuery;
const json_api_nestjs_shared_1 = require("@klerick/json-api-nestjs-shared");
const zod_1 = require("zod");
function zodIncludeInputQuery() {
    return zod_1.z
        .string()
        .optional()
        .transform((data) => {
        if (!data || !(0, json_api_nestjs_shared_1.isString)(data))
            return null;
        return data
            .split(',')
            .map((i) => i.trim())
            .filter((i) => !!i);
    });
}
//# sourceMappingURL=include.js.map